Bug 740126 - Translation Editor: after copy source, implicit save should work after focus move
Translation Editor: after copy source, implicit save should work after focus ...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.4-RC
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-20 22:33 EDT by Ding-Yi Chen
Modified: 2011-10-28 03:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.4-alpha-2-SNAPSHOT (20110922-1051)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:34:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-09-20 22:33:42 EDT
Description of problem:
In translation editor, implicit save is not triggered when user copy from source on row 1 then click on cell editor on row 2.

Version-Release number of selected component (if applicable):
Zanata version 1.4-alpha-2-SNAPSHOT (20110920-1458)

How reproducible:
Always

Steps to Reproduce:
1. Visit message list view that has at least 2 rows.
2. Click "Copy from source" on row 1
3. Click the translation cell on row 2
  
Actual results:
On row 1, copy from source is not saved.

Expected results:
On row 1, copy from source should be saved as approved.


Additional info:
Comment 1 Alex Eng 2011-09-21 20:49:54 EDT
Bug fixed in 1.4 branch.
Comment 2 Ding-Yi Chen 2011-09-22 00:30:26 EDT
VERIFIED with Zanata version 1.4-alpha-2-SNAPSHOT (20110922-1051)
Comment 3 Ding-Yi Chen 2011-09-22 00:38:11 EDT
VERIFIED with 1.4-alpha-2-SNAPSHOT (20110922-1051)

Note You need to log in before you can comment on or make changes to this bug.